summaryrefslogtreecommitdiff
path: root/misc
diff options
context:
space:
mode:
authorArne Schwabe <arne@rfc2549.org>2013-05-29 22:05:39 +0200
committerArne Schwabe <arne@rfc2549.org>2013-05-29 22:05:39 +0200
commitf7bcff4ce6e3b74d2286501f946dc37dccdfa96b (patch)
tree99033c17bc10ae8013cf4e5fb1eec629b7e6f06b /misc
parent0ccf804fb65842f36078832ca0cff6dd2d7be9f7 (diff)
Move build files to misc directory
--HG-- rename : build-native.bat => misc/build-native.bat rename : build-native.sh => misc/build-native.sh rename : fetchtranslations.sh => misc/fetchtranslations.sh
Diffstat (limited to 'misc')
-rw-r--r--misc/build-native.bat14
-rwxr-xr-xmisc/build-native.sh21
-rwxr-xr-xmisc/fetchtranslations.sh35
3 files changed, 70 insertions, 0 deletions
diff --git a/misc/build-native.bat b/misc/build-native.bat
new file mode 100644
index 00000000..2c6303ea
--- /dev/null
+++ b/misc/build-native.bat
@@ -0,0 +1,14 @@
+@echo on
+call ndk-build -j 8
+
+cd libs
+mkdir ..\assets
+
+
+for /D %%f in (*) do (
+ copy %%f\minivpn ..\assets\minivpn.%%f
+ del %%f\libcrypto.so
+ del %%f\libssl.so
+)
+
+cd .. \ No newline at end of file
diff --git a/misc/build-native.sh b/misc/build-native.sh
new file mode 100755
index 00000000..72ecd1cb
--- /dev/null
+++ b/misc/build-native.sh
@@ -0,0 +1,21 @@
+ndk-build APP_API=all -j 8
+if [ $? = 0 ]; then
+ rm -rf build/native-libs/
+
+ cd libs
+ mkdir -p ../assets
+ for i in *
+ do
+ cp -v $i/minivpn ../assets/minivpn.$i
+ done
+ # Removed compiled openssl libs, will use platform so libs
+ # Reduces size of apk
+ rm -v */libcrypto.so */libssl.so
+
+ for arch in *
+ do
+ builddir=../build/native-libs/$arch
+ mkdir -p $builddir
+ cp -v $arch/*.so $builddir
+ done
+fi
diff --git a/misc/fetchtranslations.sh b/misc/fetchtranslations.sh
new file mode 100755
index 00000000..d0be16cf
--- /dev/null
+++ b/misc/fetchtranslations.sh
@@ -0,0 +1,35 @@
+#! /bin/sh
+
+
+if [ "$ICSCROWDAPIKEY" != "" ]
+then
+ echo "Generating new translation archives"
+ fetch -q -1 -o - http://api.crowdin.net/api/project/ics-openvpn/export?key=$ICSCROWDAPIKEY
+fi
+
+echo "Fetch translation archive"
+fetch -q http://crowdin.net/download/project/ics-openvpn.zip
+
+langtoinclude="ca cs de es et fr id it ja ko no nl ro ru sv uk"
+
+for lang in $langtoinclude
+do
+ tar xfv ics-openvpn.zip /res/values-$lang/
+done
+
+# Chinese language require zh-CN and zh-TW
+
+for lang in zh-CN zh-TW id
+do
+ if [ $lang = "zh-CN" ] ; then
+ rlang="zh-rCN"
+ elif [ $lang = "zh-TW" ] ; then
+ rlang="zh-rTW"
+ elif [ $lang = "id" ] ; then
+ rlang="id"
+ fi
+
+ echo "Fetch archive for $lang"
+ fetch http://crowdin.net/download/project/ics-openvpn/$lang.zip
+ tar -xv -C res/values-$rlang/ --strip-components 3 -f $lang.zip
+done \ No newline at end of file